Loading...
Searching...
No Matches
piola_fem_lagrange< T >

## Detailed Description

template<class T>
class rheolef::piola_fem_lagrange< T >

Definition at line 65 of file piola_fem_lagrange.h.

Inheritance diagram for piola_fem_lagrange< T >:

## Public Types

typedef piola_fem_rep< T > | base
typedef base::value_type | value_type
Public Types inherited from piola_fem_rep< T >
typedef T | value_type
typedef point_basic< T >::size_type | size_type

## Public Member Functions

| piola_fem_lagrange ()
std::string | name () const
bool | transform_need_piola () const
| _RHEOLEF_transform (T, point_basic< T >) _RHEOLEF_transform(point_basic< T >
Public Member Functions inherited from piola_fem_rep< T >
| piola_fem_rep ()
virtual | ~piola_fem_rep ()
virtual void | transform (const piola< T > &p, const T &hat_u, T &u) const
virtual void | inv_transform (const piola< T > &p, const T &u, T &hat_u) const
virtual void | grad_transform (const piola< T > &p, const T &hat_u, const point_basic< T > &hat_grad_u, const details::differentiate_option &gopt, point_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const point_basic< T > &hat_u, point_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const point_basic< T > &u, point_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const point_basic< T > &hat_u, const tensor_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor_basic< T > &hat_u, tensor_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor_basic< T > &u, tensor_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor_basic< T > &hat_u, const tensor3_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor3_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor3_basic< T > &hat_u, tensor3_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor3_basic< T > &u, tensor3_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor3_basic< T > &hat_u, const tensor4_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor4_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor4_basic< T > &hat_u, tensor4_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor4_basic< T > &u, tensor4_basic< T > &hat_u) const

## Member Typedef Documentation

## base

template<class T>

typedef piola_fem_rep<T> base

Definition at line 67 of file piola_fem_lagrange.h.

## value_type

template<class T>

typedef base::value_type value_type

Definition at line 68 of file piola_fem_lagrange.h.

## Constructor & Destructor Documentation

## piola_fem_lagrange()

template<class T>

piola_fem_lagrange | ( |  | ) |

Definition at line 69 of file piola_fem_lagrange.h.

## Member Function Documentation

## name()

template<class T>

std::string name | ( |  | ) | const

virtual

Implements piola_fem_rep< T >.

Definition at line 70 of file piola_fem_lagrange.h.

## transform_need_piola()

template<class T>

bool transform_need_piola | ( |  | ) | const

virtual

Reimplemented from piola_fem_rep< T >.

Definition at line 72 of file piola_fem_lagrange.h.

## _RHEOLEF_transform()

template<class T>

_RHEOLEF_transform | ( | T | ,
|  | point_basic< T > | )

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/piola_fem_lagrange.h